[arch-commits] Commit in kdelibs/trunk (PKGBUILD fix-scroll-in-khtml.patch)

Andrea Scarpino andrea at archlinux.org
Fri Feb 12 17:20:28 UTC 2010


    Date: Friday, February 12, 2010 @ 12:20:27
  Author: andrea
Revision: 68386

upgpkg: kdelibs 4.4.0-4
critical performance fix in KHtml

Added:
  kdelibs/trunk/fix-scroll-in-khtml.patch
Modified:
  kdelibs/trunk/PKGBUILD

---------------------------+
 PKGBUILD                  |   15 +++++++++++----
 fix-scroll-in-khtml.patch |   15 +++++++++++++++
 2 files changed, 26 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-12 17:18:55 UTC (rev 68385)
+++ PKGBUILD	2010-02-12 17:20:27 UTC (rev 68386)
@@ -3,7 +3,7 @@
 
 pkgname=kdelibs
 pkgver=4.4.0
-pkgrel=3
+pkgrel=4
 pkgdesc="KDE Core Libraries"
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
@@ -16,9 +16,13 @@
 replaces=('arts' 'kdelibs-experimental')
 install='kdelibs.install'
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
-        'kde-applications-menu.patch' 'archlinux-menu.patch' 'abs-syntax-highlight.patch')
-md5sums=('957bca85de744a9ddd316fd85e882b40' '2b30cc3e382e99333e7ff388943473e9'\
-         'a2c351e5c4d5bef39865e5fc1a39219a' '18ea42696a7f41332a092d6ead7efc6a')
+        'kde-applications-menu.patch' 'archlinux-menu.patch' 'abs-syntax-highlight.patch'
+	'fix-scroll-in-khtml.patch')
+md5sums=('957bca85de744a9ddd316fd85e882b40'
+         '2b30cc3e382e99333e7ff388943473e9'
+         'a2c351e5c4d5bef39865e5fc1a39219a'
+         '18ea42696a7f41332a092d6ead7efc6a'
+         '5422652692da9297369b9b630bbd3c81')
 
 build() {
 	cd ${srcdir}/${pkgname}-${pkgver}
@@ -30,6 +34,9 @@
 	# add syntax highlightning for PKGBUILD and .install files
 	patch -p1 -i $srcdir/abs-syntax-highlight.patch
 
+	# BUG: 226265
+	patch -p3 -i ${srcdir}/fix-scroll-in-khtml.patch || return 1
+
 	cd ${srcdir}
 	mkdir build
 	cd build

Added: fix-scroll-in-khtml.patch
===================================================================
--- fix-scroll-in-khtml.patch	                        (rev 0)
+++ fix-scroll-in-khtml.patch	2010-02-12 17:20:27 UTC (rev 68386)
@@ -0,0 +1,15 @@
+--- trunk/KDE/kdelibs/khtml/khtmlview.cpp	2010/02/12 15:36:30	1089158
++++ trunk/KDE/kdelibs/khtml/khtmlview.cpp	2010/02/12 15:39:04	1089159
+@@ -604,6 +604,12 @@
+         setWidget( new QWidget(this) );
+     widget()->setAttribute( Qt::WA_NoSystemBackground );
+ 
++    // Do *not* remove this attribute frivolously.
++    // You might not notice a change of behaviour in Debug builds
++    // but removing opaque events will make QWidget::scroll fail horribly
++    // in Release builds.
++    widget()->setAttribute( Qt::WA_OpaquePaintEvent );
++
+     verticalScrollBar()->setCursor( Qt::ArrowCursor );
+     horizontalScrollBar()->setCursor( Qt::ArrowCursor );
+ 




More information about the arch-commits mailing list